org.codehaus.plexus.component.discovery

## Class ComponentDiscoveryEvent

- java.lang.Object
- - org.codehaus.plexus.component.discovery.ComponentDiscoveryEvent

    public class ComponentDiscoveryEvent
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ComponentDiscoveryEvent(ComponentSetDescriptor componentSetDescriptor)`

### Method Summary

Methods
`ComponentSetDescriptor` `getComponentSetDescriptor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentDiscoveryEvent

    public ComponentDiscoveryEvent(ComponentSetDescriptor componentSetDescriptor)

### Method Detail

#### getComponentSetDescriptor

    public ComponentSetDescriptor getComponentSetDescriptor()